Lists the current user's approved computers and folders.

GEThttps://api.awork.com/api/v1/agents/localdevices
GET https://api.awork.com/api/v1/agents/localdevices

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

idstringOptional
format: uuid

The device identifier.

workspaceIdstringOptional
format: uuid

The owning workspace.

userIdstringOptional
format: uuid

The owning human.

namestring or nullOptional

The device label.

foldersarray of object or nullOptional

The approved folders reported by the computer.

Show 4 properties
idstringOptional
format: uuid

The stable local folder identifier.

namestring or nullOptional

The display label.

writablebooleanOptional

Whether the computer permits writes.

commandsAllowedbooleanOptional

Whether the human separately approved command execution on the computer.

lastSeenstring or nullOptional
format: date-time

The last report from the Mac.

onlinebooleanOptional

Whether the Mac holds a live connection and reported recently.

expiresAtstringOptional
format: date-time

When the pairing code or the device credential expires.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation